Subject: Re: 2.4.x vs 2.6.x performance

From: Otto Solares <[email-masked]>
Date: Wed, 25 Jan 2006 12:41:38 -0600

On Wed, Jan 25, 2006 at 07:45:38AM -0800, Dan Malek wrote:
> I wouldn't say "considerably" slower, but there are some
> performance differences.  It's most evident on the
> smaller, slower processors, like the 8xx, but we have
> taken steps to alleviate that.  The problem is 2.6 is just
> bigger with more stuff in it.  You want the new features,
> you have to pay for that somewhere.  I think it would
> help if the kernel was a little more configurable for
> embedded systems.  It seems there is just too much
> stuff in a basic kernel that I wish could be stripped out.

Many things can be stripped out with LinuxTiny patches:

http://www.selenic.com/linux-tiny/

-otto